Ruby: ext/zlib/zlib-1.2.13/contrib/minizip/iowin32.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Functions
iowin32.c File Reference
`#include <stdlib.h>`
`#include "zlib.h"`
`#include "ioapi.h"`
`#include "iowin32.h"`

Go to the source code of this file.

## Data Structures
struct | WIN32FILE_IOWIN

## Macros
#define | INVALID_HANDLE_VALUE (0xFFFFFFFF)
#define | INVALID_SET_FILE_POINTER ((DWORD)-1)

## Functions
voidpf ZCALLBACK win32_open_file_func | OF ((voidpf opaque, const char *filename, int mode))
uLong ZCALLBACK win32_read_file_func | OF ((voidpf opaque, voidpf stream, void *buf, uLong size))
uLong ZCALLBACK win32_write_file_func | OF ((voidpf opaque, voidpf stream, const void *buf, uLong size))
ZPOS64_T ZCALLBACK win32_tell64_file_func | OF ((voidpf opaque, voidpf stream))
long ZCALLBACK win32_seek64_file_func | OF ((voidpf opaque, voidpf stream, ZPOS64_T offset, int origin))
voidpf ZCALLBACK | win32_open64_file_func (voidpf opaque, const void *filename, int mode)
voidpf ZCALLBACK | win32_open64_file_funcA (voidpf opaque, const void *filename, int mode)
voidpf ZCALLBACK | win32_open64_file_funcW (voidpf opaque, const void *filename, int mode)
voidpf ZCALLBACK | win32_open_file_func (voidpf opaque, const char *filename, int mode)
uLong ZCALLBACK | win32_read_file_func (voidpf opaque, voidpf stream, void *buf, uLong size)
uLong ZCALLBACK | win32_write_file_func (voidpf opaque, voidpf stream, const void *buf, uLong size)
long ZCALLBACK | win32_tell_file_func (voidpf opaque, voidpf stream)
ZPOS64_T ZCALLBACK | win32_tell64_file_func (voidpf opaque, voidpf stream)
long ZCALLBACK | win32_seek_file_func (voidpf opaque, voidpf stream, uLong offset, int origin)
long ZCALLBACK | win32_seek64_file_func (voidpf opaque, voidpf stream, ZPOS64_T offset, int origin)
int ZCALLBACK | win32_close_file_func (voidpf opaque, voidpf stream)
int ZCALLBACK | win32_error_file_func (voidpf opaque, voidpf stream)
void | fill_win32_filefunc (zlib_filefunc_def *pzlib_filefunc_def)
void | fill_win32_filefunc64 (zlib_filefunc64_def *pzlib_filefunc_def)
void | fill_win32_filefunc64A (zlib_filefunc64_def *pzlib_filefunc_def)
void | fill_win32_filefunc64W (zlib_filefunc64_def *pzlib_filefunc_def)

## Macro Definition Documentation

## ◆ INVALID_HANDLE_VALUE

#define INVALID_HANDLE_VALUE (0xFFFFFFFF)

Definition at line 21 of file iowin32.c.

## ◆ INVALID_SET_FILE_POINTER

#define INVALID_SET_FILE_POINTER ((DWORD)-1)

Definition at line 25 of file iowin32.c.

## Function Documentation

## ◆ fill_win32_filefunc()

void fill_win32_filefunc | ( | zlib_filefunc_def * | pzlib_filefunc_def | ) |

Definition at line 419 of file iowin32.c.

References NULL, zlib_filefunc_def_s::opaque, win32_close_file_func(), win32_error_file_func(), win32_open_file_func(), win32_read_file_func(), win32_seek_file_func(), win32_tell_file_func(), win32_write_file_func(), zlib_filefunc_def_s::zclose_file, zlib_filefunc_def_s::zerror_file, zlib_filefunc_def_s::zopen_file, zlib_filefunc_def_s::zread_file, zlib_filefunc_def_s::zseek_file, zlib_filefunc_def_s::ztell_file, and zlib_filefunc_def_s::zwrite_file.

## ◆ fill_win32_filefunc64()

void fill_win32_filefunc64 | ( | zlib_filefunc64_def * | pzlib_filefunc_def | ) |

Definition at line 431 of file iowin32.c.

References NULL, zlib_filefunc64_def_s::opaque, win32_close_file_func(), win32_error_file_func(), win32_open64_file_func(), win32_read_file_func(), win32_seek64_file_func(), win32_tell64_file_func(), win32_write_file_func(), zlib_filefunc64_def_s::zclose_file, zlib_filefunc64_def_s::zerror_file, zlib_filefunc64_def_s::zopen64_file, zlib_filefunc64_def_s::zread_file, zlib_filefunc64_def_s::zseek64_file, zlib_filefunc64_def_s::ztell64_file, and zlib_filefunc64_def_s::zwrite_file.

## ◆ fill_win32_filefunc64A()

void fill_win32_filefunc64A | ( | zlib_filefunc64_def * | pzlib_filefunc_def | ) |

Definition at line 444 of file iowin32.c.

References NULL, zlib_filefunc64_def_s::opaque, win32_close_file_func(), win32_error_file_func(), win32_open64_file_funcA(), win32_read_file_func(), win32_seek64_file_func(), win32_tell64_file_func(), win32_write_file_func(), zlib_filefunc64_def_s::zclose_file, zlib_filefunc64_def_s::zerror_file, zlib_filefunc64_def_s::zopen64_file, zlib_filefunc64_def_s::zread_file, zlib_filefunc64_def_s::zseek64_file, zlib_filefunc64_def_s::ztell64_file, and zlib_filefunc64_def_s::zwrite_file.

Referenced by main().

## ◆ fill_win32_filefunc64W()

void fill_win32_filefunc64W | ( | zlib_filefunc64_def * | pzlib_filefunc_def | ) |

Definition at line 457 of file iowin32.c.

References NULL, zlib_filefunc64_def_s::opaque, win32_close_file_func(), win32_error_file_func(), win32_open64_file_funcW(), win32_read_file_func(), win32_seek64_file_func(), win32_tell64_file_func(), win32_write_file_func(), zlib_filefunc64_def_s::zclose_file, zlib_filefunc64_def_s::zerror_file, zlib_filefunc64_def_s::zopen64_file, zlib_filefunc64_def_s::zread_file, zlib_filefunc64_def_s::zseek64_file, zlib_filefunc64_def_s::ztell64_file, and zlib_filefunc64_def_s::zwrite_file.

## ◆ OF() [1/5]

voidpf ZCALLBACK win32_open_file_func OF | ( | (voidpf opaque, const char *filename, int mode) |  | ) |

## ◆ OF() [2/5]

ZPOS64_T ZCALLBACK win32_tell64_file_func OF | ( | (voidpf opaque, voidpf stream) |  | ) |

## ◆ OF() [3/5]

uLong ZCALLBACK win32_write_file_func OF | ( | (voidpf opaque, voidpf stream, const void *buf, uLong size) |  | ) |

## ◆ OF() [4/5]

uLong ZCALLBACK win32_read_file_func OF | ( | (voidpf opaque, voidpf stream, void *buf, uLong size) |  | ) |

## ◆ OF() [5/5]

long ZCALLBACK win32_seek64_file_func OF | ( | (voidpf opaque, voidpf stream, ZPOS64_T offset, int origin) |  | ) |

## ◆ win32_close_file_func()

int ZCALLBACK win32_close_file_func | ( | voidpf | opaque,
|  | voidpf | stream
| ) |  |

Definition at line 391 of file iowin32.c.

References free, and NULL.

Referenced by fill_win32_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), and fill_win32_filefunc64W().

## ◆ win32_error_file_func()

int ZCALLBACK win32_error_file_func | ( | voidpf | opaque,
|  | voidpf | stream
| ) |  |

Definition at line 409 of file iowin32.c.

References error(), and NULL.

Referenced by fill_win32_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), and fill_win32_filefunc64W().

## ◆ win32_open64_file_func()

voidpf ZCALLBACK win32_open64_file_func | ( | voidpf | opaque,
|  | const void * | filename,
|  | int | mode
| ) |  |

Definition at line 101 of file iowin32.c.

References NULL.

Referenced by fill_win32_filefunc64().

## ◆ win32_open64_file_funcA()

voidpf ZCALLBACK win32_open64_file_funcA | ( | voidpf | opaque,
|  | const void * | filename,
|  | int | mode
| ) |  |

Definition at line 130 of file iowin32.c.

References NULL.

Referenced by fill_win32_filefunc64A().

## ◆ win32_open64_file_funcW()

voidpf ZCALLBACK win32_open64_file_funcW | ( | voidpf | opaque,
|  | const void * | filename,
|  | int | mode
| ) |  |

Definition at line 154 of file iowin32.c.

References NULL.

Referenced by fill_win32_filefunc64W().

## ◆ win32_open_file_func()

voidpf ZCALLBACK win32_open_file_func | ( | voidpf | opaque,
|  | const char * | filename,
|  | int | mode
| ) |  |

Definition at line 174 of file iowin32.c.

References NULL.

Referenced by fill_win32_filefunc().

## ◆ win32_read_file_func()

uLong ZCALLBACK win32_read_file_func | ( | voidpf | opaque,
|  | voidpf | stream,
|  | void * | buf,
|  | uLong | size
| ) |  |

Definition at line 203 of file iowin32.c.

References error(), int(), and NULL.

Referenced by fill_win32_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), and fill_win32_filefunc64W().

## ◆ win32_seek64_file_func()

long ZCALLBACK win32_seek64_file_func | ( | voidpf | opaque,
|  | voidpf | stream,
|  | ZPOS64_T | offset,
|  | int | origin
| ) |  |

Definition at line 352 of file iowin32.c.

References error(), int(), NULL, ZLIB_FILEFUNC_SEEK_CUR, ZLIB_FILEFUNC_SEEK_END, and ZLIB_FILEFUNC_SEEK_SET.

Referenced by fill_win32_filefunc64(), fill_win32_filefunc64A(), and fill_win32_filefunc64W().

## ◆ win32_seek_file_func()

long ZCALLBACK win32_seek_file_func | ( | voidpf | opaque,
|  | voidpf | stream,
|  | uLong | offset,
|  | int | origin
| ) |  |

Definition at line 314 of file iowin32.c.

References error(), int(), NULL, ZLIB_FILEFUNC_SEEK_CUR, ZLIB_FILEFUNC_SEEK_END, and ZLIB_FILEFUNC_SEEK_SET.

Referenced by fill_win32_filefunc().

## ◆ win32_tell64_file_func()

ZPOS64_T ZCALLBACK win32_tell64_file_func | ( | voidpf | opaque,
|  | voidpf | stream
| ) |  |

Definition at line 289 of file iowin32.c.

References error(), int(), and NULL.

Referenced by fill_win32_filefunc64(), fill_win32_filefunc64A(), and fill_win32_filefunc64W().

## ◆ win32_tell_file_func()

long ZCALLBACK win32_tell_file_func | ( | voidpf | opaque,
|  | voidpf | stream
| ) |  |

Definition at line 266 of file iowin32.c.

References error(), int(), long(), and NULL.

Referenced by fill_win32_filefunc().

## ◆ win32_write_file_func()

uLong ZCALLBACK win32_write_file_func | ( | voidpf | opaque,
|  | voidpf | stream,
|  | const void * | buf,
|  | uLong | size
| ) |  |

Definition at line 225 of file iowin32.c.

References error(), int(), and NULL.

Referenced by fill_win32_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), and fill_win32_filefunc64W().